package com.ss.android.ugc.aweme.gsonopt;

import X.2Pf;
import X.2bE;
import X.2bF;
import X.2bG;
import X.2jE;
import X.2ti;
import X.4et;
import X.8EP;
import X.BPA;
import X.Cmk;
import X.Cml;
import X.FfV;
import X.Fgf;
import X.LFQ;
import X.LFv;
import X.LG4;
import X.LRS;
import X.Ly4;
import X.MCc;
import X.OZJ;
import X.Ouj;
import X.Ouk;
import X.Oul;
import X.Oum;
import X.Oun;
import X.Ouo;
import X.Oup;
import X.Ouq;
import X.Our;
import X.Ous;
import X.Tpu;
import com.bytedance.bpea.entry.common.DataType;
import com.bytedance.covode.number.Covode;
import com.google.gson.c.a;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import com.ss.android.ugc.aweme.base.share.ShareInfo;
import com.ss.android.ugc.aweme.discover.model.Challenge;
import com.ss.android.ugc.aweme.feed.model.Anchor;
import com.ss.android.ugc.aweme.feed.model.AnchorCustomData;
import com.ss.android.ugc.aweme.feed.model.AnchorInfo;
import com.ss.android.ugc.aweme.feed.model.Audio;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.AwemeACLShare;
import com.ss.android.ugc.aweme.feed.model.AwemeActivity;
import com.ss.android.ugc.aweme.feed.model.AwemeBubbleInfo;
import com.ss.android.ugc.aweme.feed.model.AwemeControl;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;
import com.ss.android.ugc.aweme.feed.model.AwemeRelationRecommendModel;
import com.ss.android.ugc.aweme.feed.model.AwemeRiskModel;
import com.ss.android.ugc.aweme.feed.model.AwemeStatistics;
import com.ss.android.ugc.aweme.feed.model.AwemeStatus;
import com.ss.android.ugc.aweme.feed.model.AwemeTrendingBar;
import com.ss.android.ugc.aweme.feed.model.BannerTip;
import com.ss.android.ugc.aweme.feed.model.Boost;
import com.ss.android.ugc.aweme.feed.model.BottomBarModel;
import com.ss.android.ugc.aweme.feed.model.DescendantsModel;
import com.ss.android.ugc.aweme.feed.model.DuetInfo;
import com.ss.android.ugc.aweme.feed.model.FloatingCardInfo;
import com.ss.android.ugc.aweme.feed.model.GameInfo;
import com.ss.android.ugc.aweme.feed.model.GroupIdListStruct;
import com.ss.android.ugc.aweme.feed.model.HotSearchInfo;
import com.ss.android.ugc.aweme.feed.model.HotSearchInfoStruct;
import com.ss.android.ugc.aweme.feed.model.InteractPermission;
import com.ss.android.ugc.aweme.feed.model.InteractionTagInfo;
import com.ss.android.ugc.aweme.feed.model.LogPbBean;
import com.ss.android.ugc.aweme.feed.model.MixFlowParam;
import com.ss.android.ugc.aweme.feed.model.MixStruct;
import com.ss.android.ugc.aweme.feed.model.NearbyInfo;
import com.ss.android.ugc.aweme.feed.model.PhotoModeImageInfo;
import com.ss.android.ugc.aweme.feed.model.PlayListInfo;
import com.ss.android.ugc.aweme.feed.model.Preload;
import com.ss.android.ugc.aweme.feed.model.RelationDynamicLabel;
import com.ss.android.ugc.aweme.feed.model.RelationLabelNew;
import com.ss.android.ugc.aweme.feed.model.RoomStruct;
import com.ss.android.ugc.aweme.feed.model.SpecialSticker;
import com.ss.android.ugc.aweme.feed.model.StoryVideo;
import com.ss.android.ugc.aweme.feed.model.StreamUrlModel;
import com.ss.android.ugc.aweme.feed.model.TCMInfo;
import com.ss.android.ugc.aweme.feed.model.UpvotePreloadStruct;
import com.ss.android.ugc.aweme.feed.model.UserProfileInitInfo;
import com.ss.android.ugc.aweme.feed.model.Video;
import com.ss.android.ugc.aweme.feed.model.VideoControl;
import com.ss.android.ugc.aweme.feed.model.VideoMaskInfo;
import com.ss.android.ugc.aweme.feed.model.VideoReplyStruct;
import com.ss.android.ugc.aweme.feed.model.commercialize.CommerceRerankInfo;
import com.ss.android.ugc.aweme.feed.model.live.NewLiveRoomStruct;
import com.ss.android.ugc.aweme.feed.model.live.RoomFeedCellStruct;
import com.ss.android.ugc.aweme.feed.model.livesplash.LiveAwesomeSplashInfo;
import com.ss.android.ugc.aweme.feed.model.search.CommentSuggestWordList;
import com.ss.android.ugc.aweme.feed.model.search.SearchExtraStruct;
import com.ss.android.ugc.aweme.feed.model.story.Story;
import com.ss.android.ugc.aweme.feed.model.story.UserStory;
import com.ss.android.ugc.aweme.feed.model.upvote.UpvoteReason;
import com.ss.android.ugc.aweme.friends.model.MutualStruct;
import com.ss.android.ugc.aweme.music.model.Dsp;
import com.ss.android.ugc.aweme.music.model.Music;
import com.ss.android.ugc.aweme.profile.model.HotListStruct;
import com.ss.android.ugc.aweme.profile.model.User;
import com.ss.android.ugc.aweme.utils.StringJsonAdapterFactory;
import java.util.HashMap;
import java.util.List;

public class OptJsonAdapterFor$com$ss$android$ugc$aweme$feed$model$Aweme extends BaseAdapter {
    static {
        Covode.recordClassIndex(82942);
    }

    public OptJsonAdapterFor$com$ss$android$ugc$aweme$feed$model$Aweme(MCc mCc) {
        super(mCc);
    }

    public final Object LIZ() {
        return new Aweme();
    }

    public final boolean LIZ(String str, Object obj, a aVar) {
        switch (str.hashCode()) {
            case -2141623636:
                if (!str.equals("item_duet")) {
                    return false;
                }
                Object read = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read != null) {
                    ((Aweme) obj).duetSetting = ((Integer) read).intValue();
                }
                return true;
            case -2123672642:
                if (!str.equals("upvote_reason")) {
                    return false;
                }
                ((Aweme) obj).upvoteReason = (UpvoteReason) this.LIZ.LIZ(UpvoteReason.class).read(aVar);
                return true;
            case -2113214850:
                if (!str.equals("text_extra")) {
                    return false;
                }
                ((Aweme) obj).textExtra = (List) this.LIZ.LIZ(new Fgf()).read(aVar);
                return true;
            case -2107194777:
                if (!str.equals("subAweme")) {
                    return false;
                }
                ((Aweme) obj).subAweme = (Aweme) this.LIZ.LIZ(Aweme.class).read(aVar);
                return true;
            case -2027700362:
                if (!str.equals("item_source_category")) {
                    return false;
                }
                Object read2 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read2 != null) {
                    ((Aweme) obj).mItemSourceCategory = ((Integer) read2).intValue();
                }
                return true;
            case -2000946467:
                if (!str.equals("search_highlight")) {
                    return false;
                }
                ((Aweme) obj).mHighlightInfoList = (List) this.LIZ.LIZ(new OZJ()).read(aVar);
                return true;
            case -2000521471:
                if (!str.equals("link_ad_data")) {
                    return false;
                }
                ((Aweme) obj).linkAdData = (LFv) LIZ(new StringJsonAdapterFactory(), LFv.class).read(aVar);
                return true;
            case -1996818970:
                if (!str.equals("react_origin")) {
                    return false;
                }
                ((Aweme) obj).reactOrigin = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1992316296:
                if (!str.equals("hotsearch_info")) {
                    return false;
                }
                ((Aweme) obj).hotSearchInfoStruct = (HotSearchInfoStruct) this.LIZ.LIZ(HotSearchInfoStruct.class).read(aVar);
                return true;
            case -1983160333:
                if (!str.equals("law_critical_country")) {
                    return false;
                }
                Object read3 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read3 != null) {
                    ((Aweme) obj).lawCriticalCountry = ((Boolean) read3).booleanValue();
                }
                return true;
            case -1953374893:
                if (!str.equals("item_react")) {
                    return false;
                }
                Object read4 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read4 != null) {
                    ((Aweme) obj).reactSetting = ((Integer) read4).intValue();
                }
                return true;
            case -1909275241:
                if (!str.equals("hasSeeMoreBeenShown")) {
                    return false;
                }
                Object read5 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read5 != null) {
                    ((Aweme) obj).hasSeeMoreBeenShown = ((Boolean) read5).booleanValue();
                }
                return true;
            case -1893206215:
                if (!str.equals("story_metadata")) {
                    return false;
                }
                ((Aweme) obj).story = (Story) this.LIZ.LIZ(Story.class).read(aVar);
                return true;
            case -1839312125:
                if (!str.equals("is_client_cache")) {
                    return false;
                }
                Object read6 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read6 != null) {
                    ((Aweme) obj).isClientCache = ((Boolean) read6).booleanValue();
                }
                return true;
            case -1788288754:
                if (!str.equals("share_info")) {
                    return false;
                }
                ((Aweme) obj).shareInfo = (ShareInfo) this.LIZ.LIZ(ShareInfo.class).read(aVar);
                return true;
            case -1788228419:
                if (!str.equals("video_feed_tag")) {
                    return false;
                }
                ((Aweme) obj).videoFeedTag = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1786344031:
                if (!str.equals("image_infos")) {
                    return false;
                }
                ((Aweme) obj).imageInfos = (List) this.LIZ.LIZ(new Ouk()).read(aVar);
                return true;
            case -1777116675:
                if (!str.equals("geofencing_regions")) {
                    return false;
                }
                ((Aweme) obj).geofencingRegions = (List) this.LIZ.LIZ(new 8EP()).read(aVar);
                return true;
            case -1755408457:
                if (!str.equals("landing_page")) {
                    return false;
                }
                ((Aweme) obj).landingPage = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1727615591:
                if (!str.equals("promotion_other_info")) {
                    return false;
                }
                ((Aweme) obj).promotionOtherInfo = (Ouj) this.LIZ.LIZ(Ouj.class).read(aVar);
                return true;
            case -1706253195:
                if (!str.equals("has_vs_entry")) {
                    return false;
                }
                Object read7 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read7 != null) {
                    ((Aweme) obj).hasVisionSearchEntry = ((Boolean) read7).booleanValue();
                }
                return true;
            case -1703939377:
                if (!str.equals("is_relieve")) {
                    return false;
                }
                Object read8 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read8 != null) {
                    ((Aweme) obj).isRelieve = ((Boolean) read8).booleanValue();
                }
                return true;
            case -1688096665:
                if (!str.equals("gap_list")) {
                    return false;
                }
                ((Aweme) obj).gapList = (List) this.LIZ.LIZ(new Ouo()).read(aVar);
                return true;
            case -1687371549:
                if (!str.equals("duetted_count")) {
                    return false;
                }
                Object read9 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read9 != null) {
                    ((Aweme) obj).duettedCount = ((Long) read9).longValue();
                }
                return true;
            case -1685664283:
                if (!str.equals("fromRawChallenge")) {
                    return false;
                }
                ((Aweme) obj).fromRawChallenge = (Challenge) this.LIZ.LIZ(Challenge.class).read(aVar);
                return true;
            case -1682229249:
                if (!str.equals("bottom_bar")) {
                    return false;
                }
                ((Aweme) obj).bottomBarModel = (BottomBarModel) this.LIZ.LIZ(BottomBarModel.class).read(aVar);
                return true;
            case -1669771759:
                if (!str.equals("feedCount")) {
                    return false;
                }
                Object read10 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read10 != null) {
                    ((Aweme) obj).feedCount = ((Long) read10).longValue();
                }
                return true;
            case -1667379004:
                if (!str.equals("is_effect_designer")) {
                    return false;
                }
                Object read11 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read11 != null) {
                    ((Aweme) obj).isEffectDesigner = ((Boolean) read11).booleanValue();
                }
                return true;
            case -1655966961:
                if (!str.equals("activity")) {
                    return false;
                }
                ((Aweme) obj).activity = (AwemeActivity) this.LIZ.LIZ(AwemeActivity.class).read(aVar);
                return true;
            case -1632402649:
                if (!str.equals("video_reply_info")) {
                    return false;
                }
                ((Aweme) obj).videoReplyStruct = (VideoReplyStruct) this.LIZ.LIZ(VideoReplyStruct.class).read(aVar);
                return true;
            case -1617854863:
                if (!str.equals("video_text")) {
                    return false;
                }
                ((Aweme) obj).textVideoLabels = (List) this.LIZ.LIZ(new Cml()).read(aVar);
                return true;
            case -1616070030:
                if (!str.equals("mask_infos")) {
                    return false;
                }
                ((Aweme) obj).videoMaskInfos = (List) this.LIZ.LIZ(new 4et()).read(aVar);
                return true;
            case -1581695729:
                if (!str.equals("share_url")) {
                    return false;
                }
                ((Aweme) obj).shareUrl = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1570596266:
                if (!str.equals("take_down_desc")) {
                    return false;
                }
                ((Aweme) obj).takeDownDesc = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1558667094:
                if (!str.equals("commerce_rerank_info")) {
                    return false;
                }
                ((Aweme) obj).commerceRerankInfo = (CommerceRerankInfo) this.LIZ.LIZ(CommerceRerankInfo.class).read(aVar);
                return true;
            case -1550154929:
                if (!str.equals("boost_tag_info")) {
                    return false;
                }
                ((Aweme) obj).boost = (Boost) this.LIZ.LIZ(Boost.class).read(aVar);
                return true;
            case -1544567816:
                if (!str.equals("anchor_info")) {
                    return false;
                }
                ((Aweme) obj).anchorInfo = (AnchorInfo) this.LIZ.LIZ(AnchorInfo.class).read(aVar);
                return true;
            case -1527498194:
                if (!str.equals("suggest_words")) {
                    return false;
                }
                ((Aweme) obj).commentSuggestWordList = (CommentSuggestWordList) this.LIZ.LIZ(CommentSuggestWordList.class).read(aVar);
                return true;
            case -1512022125:
                if (!str.equals("aweme_id")) {
                    return false;
                }
                ((Aweme) obj).aid = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1488400626:
                if (!str.equals("reportMaskInfo")) {
                    return false;
                }
                ((Aweme) obj).reportMaskInfo = (VideoMaskInfo) this.LIZ.LIZ(VideoMaskInfo.class).read(aVar);
                return true;
            case -1486079410:
                if (!str.equals("has_promote_entry")) {
                    return false;
                }
                Object read12 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read12 != null) {
                    ((Aweme) obj).hasPromoteEntry = ((Integer) read12).intValue();
                }
                return true;
            case -1426062379:
                if (!str.equals("isFromDouPlusGuideAnimate")) {
                    return false;
                }
                Object read13 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read13 != null) {
                    ((Aweme) obj).isFromDouPlusGuideAnimate = ((Boolean) read13).booleanValue();
                }
                return true;
            case -1424371608:
                if (!str.equals("content_desc_extra")) {
                    return false;
                }
                ((Aweme) obj).contentDescExtra = (List) this.LIZ.LIZ(new Fgf()).read(aVar);
                return true;
            case -1413299531:
                if (!str.equals("anchor")) {
                    return false;
                }
                ((Aweme) obj).anchor = (Anchor) this.LIZ.LIZ(Anchor.class).read(aVar);
                return true;
            case -1409199927:
                if (!str.equals("take_down_reason")) {
                    return false;
                }
                Object read14 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read14 != null) {
                    ((Aweme) obj).takeDownReason = ((Integer) read14).intValue();
                }
                return true;
            case -1406328437:
                if (!str.equals("author")) {
                    return false;
                }
                ((Aweme) obj).author = (User) this.LIZ.LIZ(User.class).read(aVar);
                return true;
            case -1353964622:
                if (!str.equals("aweme_type")) {
                    return false;
                }
                Object read15 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read15 != null) {
                    ((Aweme) obj).awemeType = ((Integer) read15).intValue();
                }
                return true;
            case -1353884083:
                if (!str.equals("forward_item_id")) {
                    return false;
                }
                ((Aweme) obj).forwardItemId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1342102426:
                if (!str.equals("allow_gift")) {
                    return false;
                }
                Object read16 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read16 != null) {
                    ((Aweme) obj).allowGift = ((Boolean) read16).booleanValue();
                }
                return true;
            case -1326313229:
                if (!str.equals("is_prohibited")) {
                    return false;
                }
                Object read17 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read17 != null) {
                    ((Aweme) obj).isProhibited = ((Boolean) read17).booleanValue();
                }
                return true;
            case -1322651010:
                if (!str.equals("photosensitiveMaskInfo")) {
                    return false;
                }
                ((Aweme) obj).photosensitiveMaskInfo = (VideoMaskInfo) this.LIZ.LIZ(VideoMaskInfo.class).read(aVar);
                return true;
            case -1319036801:
                if (!str.equals("playlist_blocked")) {
                    return false;
                }
                Object read18 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read18 != null) {
                    ((Aweme) obj).playlistBlocked = ((Boolean) read18).booleanValue();
                }
                return true;
            case -1316719207:
                if (!str.equals("video_control")) {
                    return false;
                }
                ((Aweme) obj).videoControl = (VideoControl) this.LIZ.LIZ(VideoControl.class).read(aVar);
                return true;
            case -1309660263:
                if (!str.equals("contentClassificationMaskInfo")) {
                    return false;
                }
                ((Aweme) obj).contentClassificationMaskInfo = (VideoMaskInfo) this.LIZ.LIZ(VideoMaskInfo.class).read(aVar);
                return true;
            case -1297063025:
                if (!str.equals("anchorType")) {
                    return false;
                }
                Object read19 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read19 != null) {
                    ((Aweme) obj).anchorType = ((Integer) read19).intValue();
                }
                return true;
            case -1289507021:
                if (!str.equals("ad_schedule")) {
                    return false;
                }
                ((Aweme) obj).adSchedule = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1274620340:
                if (!str.equals("music_end_time_in_ms")) {
                    return false;
                }
                Object read20 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read20 != null) {
                    ((Aweme) obj).musicEndTime = ((Integer) read20).intValue();
                }
                return true;
            case -1270039078:
                if (!str.equals("nickname_position")) {
                    return false;
                }
                ((Aweme) obj).nicknamePosition = (List) this.LIZ.LIZ(new LRS()).read(aVar);
                return true;
            case -1227681445:
                if (!str.equals("sp_sticker")) {
                    return false;
                }
                ((Aweme) obj).specialSticker = (SpecialSticker) this.LIZ.LIZ(SpecialSticker.class).read(aVar);
                return true;
            case -1218435648:
                if (!str.equals("interaction_tag_info")) {
                    return false;
                }
                ((Aweme) obj).interactionTagInfo = (InteractionTagInfo) this.LIZ.LIZ(InteractionTagInfo.class).read(aVar);
                return true;
            case -1204552337:
                if (!str.equals("adDescMaxLines")) {
                    return false;
                }
                Object read21 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read21 != null) {
                    ((Aweme) obj).adDescMaxLines = ((Integer) read21).intValue();
                }
                return true;
            case -1197692098:
                if (!str.equals("music_begin_time_in_ms")) {
                    return false;
                }
                Object read22 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read22 != null) {
                    ((Aweme) obj).musicBeginTime = ((Integer) read22).intValue();
                }
                return true;
            case -1194425296:
                if (!str.equals("stream_url")) {
                    return false;
                }
                ((Aweme) obj).streamUrlModel = (StreamUrlModel) this.LIZ.LIZ(StreamUrlModel.class).read(aVar);
                return true;
            case -1179774949:
                if (!str.equals("is_ads")) {
                    return false;
                }
                Object read23 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read23 != null) {
                    ((Aweme) obj).isAd = ((Boolean) read23).booleanValue();
                }
                return true;
            case -1179756352:
                if (!str.equals("is_top")) {
                    return false;
                }
                Object read24 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read24 != null) {
                    ((Aweme) obj).isTop = ((Integer) read24).intValue();
                }
                return true;
            case -1161222649:
                if (!str.equals("commercial_video_info")) {
                    return false;
                }
                ((Aweme) obj).commercialVideoInfo = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1159180065:
                if (!str.equals("cny_info")) {
                    return false;
                }
                ((Aweme) obj).mLiveAwesomeSplashInfo = (LiveAwesomeSplashInfo) this.LIZ.LIZ(LiveAwesomeSplashInfo.class).read(aVar);
                return true;
            case -1153726650:
                if (!str.equals("recommend_card_type")) {
                    return false;
                }
                Object read25 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read25 != null) {
                    ((Aweme) obj).recommendCardType = ((Integer) read25).intValue();
                }
                return true;
            case -1137799567:
                if (!str.equals("retry_type")) {
                    return false;
                }
                Object read26 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read26 != null) {
                    ((Aweme) obj).retryType = ((Integer) read26).intValue();
                }
                return true;
            case -1125949984:
                if (!str.equals("filterDuplicateTime")) {
                    return false;
                }
                Object read27 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read27 != null) {
                    ((Aweme) obj).filterDuplicateTime = ((Long) read27).longValue();
                }
                return true;
            case -1109684908:
                if (!str.equals("commerce_sticker_info")) {
                    return false;
                }
                ((Aweme) obj).commerceStickerInfo = (2Pf) this.LIZ.LIZ(2Pf.class).read(aVar);
                return true;
            case -1084985945:
                if (!str.equals("fakeAid")) {
                    return false;
                }
                ((Aweme) obj).fakeAid = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1082126159:
                if (!str.equals("mix_info")) {
                    return false;
                }
                ((Aweme) obj).mixInfo = (MixStruct) this.LIZ.LIZ(MixStruct.class).read(aVar);
                return true;
            case -1078838025:
                if (!str.equals("live_reason")) {
                    return false;
                }
                ((Aweme) obj).liveReaSon = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1031341816:
                if (!str.equals("banner_tip")) {
                    return false;
                }
                ((Aweme) obj).bannerTip = (BannerTip) this.LIZ.LIZ(BannerTip.class).read(aVar);
                return true;
            case -1030574761:
                if (!str.equals("question_list")) {
                    return false;
                }
                ((Aweme) obj).questionInfo = (List) this.LIZ.LIZ(new FfV()).read(aVar);
                return true;
            case -1004421264:
                if (!str.equals("new_relation_label")) {
                    return false;
                }
                ((Aweme) obj).mNewRelationLabel = (List) this.LIZ.LIZ(new Oun()).read(aVar);
                return true;
            case -995410142:
                if (!str.equals("part_n")) {
                    return false;
                }
                ((Aweme) obj).partN = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -986143016:
                if (!str.equals("distribute_type")) {
                    return false;
                }
                Object read28 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read28 != null) {
                    ((Aweme) obj).distributeType = ((Integer) read28).intValue();
                }
                return true;
            case -977634846:
                if (!str.equals("label_music_starter_text")) {
                    return false;
                }
                ((Aweme) obj).mLabelMusicStarterText = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -966787989:
                if (!str.equals("anchorWikiOfflineText")) {
                    return false;
                }
                ((Aweme) obj).anchorWikiOfflineText = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -956843851:
                if (!str.equals("forward_comment_id")) {
                    return false;
                }
                ((Aweme) obj).forwardCommentId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -946124580:
                if (!str.equals("isCanCache")) {
                    return false;
                }
                Object read29 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read29 != null) {
                    ((Aweme) obj).isCanCache = ((Boolean) read29).booleanValue();
                }
                return true;
            case -934795532:
                if (!str.equals("region")) {
                    return false;
                }
                ((Aweme) obj).region = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -917278645:
                if (!str.equals("activity_id")) {
                    return false;
                }
                ((Aweme) obj).activityId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -903566221:
                if (!str.equals("sharer")) {
                    return false;
                }
                ((Aweme) obj).sharer = (User) this.LIZ.LIZ(User.class).read(aVar);
                return true;
            case -892481550:
                if (!str.equals("status")) {
                    return false;
                }
                ((Aweme) obj).status = (AwemeStatus) this.LIZ.LIZ(AwemeStatus.class).read(aVar);
                return true;
            case -867217735:
                if (!str.equals("label_origin_author")) {
                    return false;
                }
                ((Aweme) obj).originAuthor = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case -862612386:
                if (!str.equals("anchors")) {
                    return false;
                }
                ((Aweme) obj).anchors = (List) this.LIZ.LIZ(new Oum()).read(aVar);
                return true;
            case -852883056:
                if (!str.equals("subAwemeCover")) {
                    return false;
                }
                ((Aweme) obj).subAwemeCover = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case -812763377:
                if (!str.equals("prevent_download")) {
                    return false;
                }
                Object read30 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read30 != null) {
                    ((Aweme) obj).preventDownload = ((Boolean) read30).booleanValue();
                }
                return true;
            case -788289672:
                if (!str.equals("interact_permission")) {
                    return false;
                }
                ((Aweme) obj).interactPermission = (InteractPermission) this.LIZ.LIZ(InteractPermission.class).read(aVar);
                return true;
            case -775588976:
                if (!str.equals("scenario")) {
                    return false;
                }
                Object read31 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read31 != null) {
                    ((Aweme) obj).scenario = ((Integer) read31).intValue();
                }
                return true;
            case -749062070:
                if (!str.equals("follow_up_publish_from_id")) {
                    return false;
                }
                ((Aweme) obj).followUpPublishFromId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -738710225:
                if (!str.equals("ad_aweme_source")) {
                    return false;
                }
                Object read32 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read32 != null) {
                    ((Aweme) obj).adAwemeSource = ((Integer) read32).intValue();
                }
                return true;
            case -727186307:
                if (!str.equals("have_dashboard")) {
                    return false;
                }
                Object read33 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read33 != null) {
                    ((Aweme) obj).haveDashboard = ((Boolean) read33).booleanValue();
                }
                return true;
            case -689112866:
                if (!str.equals("challengeId")) {
                    return false;
                }
                ((Aweme) obj).challengeId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -687058414:
                if (!str.equals("scheduleId")) {
                    return false;
                }
                ((Aweme) obj).scheduleId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -682484480:
                if (!str.equals("isFakeResponse")) {
                    return false;
                }
                Object read34 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read34 != null) {
                    ((Aweme) obj).isFakeResponse = ((Boolean) read34).booleanValue();
                }
                return true;
            case -607398518:
                if (!str.equals("label_top")) {
                    return false;
                }
                ((Aweme) obj).labelTop = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case -589960584:
                if (!str.equals("user_digged")) {
                    return false;
                }
                Object read35 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read35 != null) {
                    ((Aweme) obj).userDigg = ((Integer) read35).intValue();
                }
                return true;
            case -586494882:
                if (!str.equals("is_hash_tag")) {
                    return false;
                }
                Object read36 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read36 != null) {
                    ((Aweme) obj).isHashTag = ((Integer) read36).intValue();
                }
                return true;
            case -545543570:
                if (!str.equals("nearby_info")) {
                    return false;
                }
                ((Aweme) obj).nearbyInfo = (NearbyInfo) this.LIZ.LIZ(NearbyInfo.class).read(aVar);
                return true;
            case -541079121:
                if (!str.equals("item_comment_settings")) {
                    return false;
                }
                Object read37 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read37 != null) {
                    ((Aweme) obj).commentSetting = ((Integer) read37).intValue();
                }
                return true;
            case -539714872:
                if (!str.equals("search_desc")) {
                    return false;
                }
                ((Aweme) obj).searchDesc = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -493574096:
                if (!str.equals("create_time")) {
                    return false;
                }
                Object read38 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read38 != null) {
                    ((Aweme) obj).createTime = ((Long) read38).longValue();
                }
                return true;
            case -479476846:
                if (!str.equals("commerce_info")) {
                    return false;
                }
                ((Aweme) obj).mCommerceVideoAuthInfo = (Tpu) this.LIZ.LIZ(Tpu.class).read(aVar);
                return true;
            case -476704057:
                if (!str.equals("isLastInSpot")) {
                    return false;
                }
                Object read39 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read39 != null) {
                    ((Aweme) obj).isLastInSpot = ((Boolean) read39).booleanValue();
                }
                return true;
            case -462680470:
                if (!str.equals("react_from")) {
                    return false;
                }
                ((Aweme) obj).reactFrom = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -462212763:
                if (!str.equals("react_view")) {
                    return false;
                }
                ((Aweme) obj).reactView = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -399312141:
                if (!str.equals("label_origin_author_text")) {
                    return false;
                }
                ((Aweme) obj).mLabelOriginAuthorText = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -392091312:
                if (!str.equals("trendingName")) {
                    return false;
                }
                ((Aweme) obj).trendingName = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -391584263:
                if (!str.equals("trending_bar")) {
                    return false;
                }
                ((Aweme) obj).trendingBar = (AwemeTrendingBar) this.LIZ.LIZ(AwemeTrendingBar.class).read(aVar);
                return true;
            case -382343331:
                if (!str.equals("item_stitch")) {
                    return false;
                }
                Object read40 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read40 != null) {
                    ((Aweme) obj).stitchSetting = ((Integer) read40).intValue();
                }
                return true;
            case -321425160:
                if (!str.equals("long_video")) {
                    return false;
                }
                ((Aweme) obj).longVideos = (List) this.LIZ.LIZ(new Our()).read(aVar);
                return true;
            case -318476791:
                if (!str.equals("preload")) {
                    return false;
                }
                ((Aweme) obj).preload = (Preload) this.LIZ.LIZ(Preload.class).read(aVar);
                return true;
            case -294460212:
                if (!str.equals("uniqueId")) {
                    return false;
                }
                ((Aweme) obj).uniqueId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -290705056:
                if (!str.equals("hot_info")) {
                    return false;
                }
                ((Aweme) obj).hotSearchInfo = (HotSearchInfo) this.LIZ.LIZ(HotSearchInfo.class).read(aVar);
                return true;
            case -290620080:
                if (!str.equals("hot_list")) {
                    return false;
                }
                ((Aweme) obj).hotListStruct = (HotListStruct) this.LIZ.LIZ(HotListStruct.class).read(aVar);
                return true;
            case -279014323:
                if (!str.equals("forward_item")) {
                    return false;
                }
                ((Aweme) obj).forwardItem = (Aweme) this.LIZ.LIZ(Aweme.class).read(aVar);
                return true;
            case -260058219:
                if (!str.equals("new_label")) {
                    return false;
                }
                Object read41 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read41 != null) {
                    ((Aweme) obj).newLabel = ((Integer) read41).intValue();
                }
                return true;
            case -255060168:
                if (!str.equals("label_private")) {
                    return false;
                }
                ((Aweme) obj).labelPrivate = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case -245689578:
                if (!str.equals("descendants")) {
                    return false;
                }
                ((Aweme) obj).descendantsModel = (DescendantsModel) this.LIZ.LIZ(DescendantsModel.class).read(aVar);
                return true;
            case -213755837:
                if (!str.equals("video_labels")) {
                    return false;
                }
                ((Aweme) obj).videoLabels = (List) this.LIZ.LIZ(new Ous()).read(aVar);
                return true;
            case -158322821:
                if (!str.equals("with_promotional_music")) {
                    return false;
                }
                Object read42 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read42 != null) {
                    ((Aweme) obj).withPromotionalMusic = ((Boolean) read42).booleanValue();
                }
                return true;
            case -133393149:
                if (!str.equals("mixFlowParam")) {
                    return false;
                }
                ((Aweme) obj).mixFlowParam = (MixFlowParam) this.LIZ.LIZ(MixFlowParam.class).read(aVar);
                return true;
            case -132371156:
                if (!str.equals("isPreloadScroll")) {
                    return false;
                }
                Object read43 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read43 != null) {
                    ((Aweme) obj).isPreloadScroll = ((Boolean) read43).booleanValue();
                }
                return true;
            case -127871247:
                if (!str.equals("hybrid_label")) {
                    return false;
                }
                ((Aweme) obj).hybridLabels = (List) this.LIZ.LIZ(new Cmk()).read(aVar);
                return true;
            case -126540221:
                if (!str.equals("can_play")) {
                    return false;
                }
                Object read44 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read44 != null) {
                    ((Aweme) obj).canPlay = ((Boolean) read44).booleanValue();
                }
                return true;
            case -117449243:
                if (!str.equals("aweme_control")) {
                    return false;
                }
                ((Aweme) obj).awemeControl = (AwemeControl) this.LIZ.LIZ(AwemeControl.class).read(aVar);
                return true;
            case -94588637:
                if (!str.equals("statistics")) {
                    return false;
                }
                ((Aweme) obj).statistics = (AwemeStatistics) this.LIZ.LIZ(AwemeStatistics.class).read(aVar);
                return true;
            case -91453607:
                if (!str.equals("disable_search_trending_bar")) {
                    return false;
                }
                Object read45 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read45 != null) {
                    ((Aweme) obj).disableSearchTrendingBar = ((Boolean) read45).booleanValue();
                }
                return true;
            case -52131295:
                if (!str.equals("mask_info")) {
                    return false;
                }
                ((Aweme) obj).videoMaskInfo = (VideoMaskInfo) this.LIZ.LIZ(VideoMaskInfo.class).read(aVar);
                return true;
            case -48749591:
                if (!str.equals("isFromTrendingCard")) {
                    return false;
                }
                ((Aweme) obj).isFromTrendingCard = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -40894793:
                if (!str.equals("trending_bar_fyp")) {
                    return false;
                }
                ((Aweme) obj).trendingBarFYP = (AwemeTrendingBar) this.LIZ.LIZ(AwemeTrendingBar.class).read(aVar);
                return true;
            case -38310944:
                if (!str.equals("new_source_id")) {
                    return false;
                }
                ((Aweme) obj).newSourceId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -22478649:
                if (!str.equals("isStoryFakeAweme")) {
                    return false;
                }
                Object read46 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read46 != null) {
                    ((Aweme) obj).isStoryFakeAweme = ((Boolean) read46).booleanValue();
                }
                return true;
            case -136588:
                if (!str.equals("products_count")) {
                    return false;
                }
                Object read47 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read47 != null) {
                    ((Aweme) obj).productsCount = ((Integer) read47).intValue();
                }
                return true;
            case 112909:
                if (!str.equals("rid")) {
                    return false;
                }
                ((Aweme) obj).rid = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 3076014:
                if (!str.equals("date")) {
                    return false;
                }
                Object read48 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read48 != null) {
                    ((Aweme) obj).date = ((Long) read48).longValue();
                }
                return true;
            case 3079825:
                if (!str.equals("desc")) {
                    return false;
                }
                ((Aweme) obj).desc = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 3493088:
                if (!str.equals("rate")) {
                    return false;
                }
                Object read49 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read49 != null) {
                    ((Aweme) obj).rate = ((Integer) read49).intValue();
                }
                return true;
            case 3506395:
                if (!str.equals("room")) {
                    return false;
                }
                ((Aweme) obj).room = (RoomStruct) this.LIZ.LIZ(RoomStruct.class).read(aVar);
                return true;
            case 34319404:
                if (!str.equals("deduplication_type")) {
                    return false;
                }
                Object read50 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read50 != null) {
                    ((Aweme) obj).deduplicationType = ((Integer) read50).intValue();
                }
                return true;
            case 46770681:
                if (!str.equals("need_vs_entry")) {
                    return false;
                }
                Object read51 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read51 != null) {
                    ((Aweme) obj).needVisionSearchEntry = ((Boolean) read51).booleanValue();
                }
                return true;
            case 52377082:
                if (!str.equals("is_familiar")) {
                    return false;
                }
                Object read52 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read52 != null) {
                    ((Aweme) obj).isFamiliar = ((Boolean) read52).booleanValue();
                }
                return true;
            case 67952372:
                if (!str.equals("relation_recommend_info")) {
                    return false;
                }
                ((Aweme) obj).relationRecommendInfo = (AwemeRelationRecommendModel) this.LIZ.LIZ(AwemeRelationRecommendModel.class).read(aVar);
                return true;
            case 93166550:
                if (!str.equals(DataType.AUDIO)) {
                    return false;
                }
                ((Aweme) obj).audio = (Audio) this.LIZ.LIZ(Audio.class).read(aVar);
                return true;
            case 96965648:
                if (!str.equals("extra")) {
                    return false;
                }
                ((Aweme) obj).extra = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 99048541:
                if (!str.equals("hasAd")) {
                    return false;
                }
                Object read53 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read53 != null) {
                    ((Aweme) obj).hasAd = ((Integer) read53).intValue();
                }
                return true;
            case 100490737:
                if (!str.equals("is_vr")) {
                    return false;
                }
                Object read54 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read54 != null) {
                    ((Aweme) obj).isVr = ((Boolean) read54).booleanValue();
                }
                return true;
            case 103148630:
                if (!str.equals("logPb")) {
                    return false;
                }
                ((Aweme) obj).logPb = (LogPbBean) this.LIZ.LIZ(LogPbBean.class).read(aVar);
                return true;
            case 103203385:
                if (!str.equals("mRank")) {
                    return false;
                }
                Object read55 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read55 != null) {
                    ((Aweme) obj).mRank = ((Integer) read55).intValue();
                }
                return true;
            case 104263205:
                if (!str.equals("music")) {
                    return false;
                }
                ((Aweme) obj).music = (Music) this.LIZ.LIZ(Music.class).read(aVar);
                return true;
            case 110371416:
                if (!str.equals("title")) {
                    return false;
                }
                ((Aweme) obj).title = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 112202875:
                if (!str.equals(DataType.VIDEO)) {
                    return false;
                }
                ((Aweme) obj).video = (Video) this.LIZ.LIZ(Video.class).read(aVar);
                return true;
            case 121595925:
                if (!str.equals("risk_infos")) {
                    return false;
                }
                ((Aweme) obj).awemeRiskModel = (AwemeRiskModel) this.LIZ.LIZ(AwemeRiskModel.class).read(aVar);
                return true;
            case 137439148:
                if (!str.equals("uniqid_position")) {
                    return false;
                }
                ((Aweme) obj).uniqidPosition = (List) this.LIZ.LIZ(new LRS()).read(aVar);
                return true;
            case 160706627:
                if (!str.equals("repostFromUserId")) {
                    return false;
                }
                ((Aweme) obj).repostFromUserId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 184289614:
                if (!str.equals("live_id")) {
                    return false;
                }
                Object read56 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read56 != null) {
                    ((Aweme) obj).liveId = ((Long) read56).longValue();
                }
                return true;
            case 205000082:
                if (!str.equals("rateScore")) {
                    return false;
                }
                ((Aweme) obj).rateScore = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 249070733:
                if (!str.equals("duet_info")) {
                    return false;
                }
                ((Aweme) obj).duettedInfo = (DuetInfo) this.LIZ.LIZ(DuetInfo.class).read(aVar);
                return true;
            case 250498896:
                if (!str.equals("anchorCustomData")) {
                    return false;
                }
                ((Aweme) obj).anchorCustomData = (AnchorCustomData) this.LIZ.LIZ(AnchorCustomData.class).read(aVar);
                return true;
            case 252725170:
                if (!str.equals("feed_relation_label")) {
                    return false;
                }
                ((Aweme) obj).feedRelationLabel = (RelationLabelNew) this.LIZ.LIZ(RelationLabelNew.class).read(aVar);
                return true;
            case 288459765:
                if (!str.equals("distance")) {
                    return false;
                }
                ((Aweme) obj).distance = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 290812207:
                if (!str.equals("raw_ad_data")) {
                    return false;
                }
                ((Aweme) obj).awemeRawAd = (AwemeRawAd) this.LIZ.LIZ(AwemeRawAd.class).read(aVar);
                return true;
            case 328794146:
                if (!str.equals("familiarRecommendUser")) {
                    return false;
                }
                ((Aweme) obj).familiarRecommendUser = (List) this.LIZ.LIZ(new 2bF()).read(aVar);
                return true;
            case 364822684:
                if (!str.equals("adDescHandle")) {
                    return false;
                }
                Object read57 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read57 != null) {
                    ((Aweme) obj).adDescHandle = ((Boolean) read57).booleanValue();
                }
                return true;
            case 371946770:
                if (!str.equals("aweme_acl")) {
                    return false;
                }
                ((Aweme) obj).awemeACLShareInfo = (AwemeACLShare) this.LIZ.LIZ(AwemeACLShare.class).read(aVar);
                return true;
            case 397776432:
                if (!str.equals("label_large")) {
                    return false;
                }
                ((Aweme) obj).labelLarge = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case 405376203:
                if (!str.equals("label_thumb")) {
                    return false;
                }
                ((Aweme) obj).labelThumb = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case 411222096:
                if (!str.equals("isFromSplitData")) {
                    return false;
                }
                Object read58 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read58 != null) {
                    ((Aweme) obj).isFromSplitData = ((Boolean) read58).booleanValue();
                }
                return true;
            case 418572561:
                if (!str.equals("is_fantasy")) {
                    return false;
                }
                Object read59 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read59 != null) {
                    ((Aweme) obj).isFantasy = ((Boolean) read59).booleanValue();
                }
                return true;
            case 426065004:
                if (!str.equals("captionLength")) {
                    return false;
                }
                Object read60 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read60 != null) {
                    ((Aweme) obj).captionLength = ((Integer) read60).intValue();
                }
                return true;
            case 450199225:
                if (!str.equals("search_extra")) {
                    return false;
                }
                ((Aweme) obj).searchExtraStruct = (SearchExtraStruct) this.LIZ.LIZ(SearchExtraStruct.class).read(aVar);
                return true;
            case 462403363:
                if (!str.equals("commerce_config_data")) {
                    return false;
                }
                ((Aweme) obj).commerceConfigDataList = (List) this.LIZ.LIZ(new Ouq()).read(aVar);
                return true;
            case 506361563:
                if (!str.equals("group_id")) {
                    return false;
                }
                ((Aweme) obj).groupId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 522496288:
                if (!str.equals("trendingId")) {
                    return false;
                }
                ((Aweme) obj).trendingId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 538703373:
                if (!str.equals("item_distribute_source")) {
                    return false;
                }
                ((Aweme) obj).mItemDistributeSource = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 692207603:
                if (!str.equals("user_profile_init_info")) {
                    return false;
                }
                ((Aweme) obj).userProfileInitInfo = (UserProfileInitInfo) this.LIZ.LIZ(UserProfileInitInfo.class).read(aVar);
                return true;
            case 693933066:
                if (!str.equals("requestId")) {
                    return false;
                }
                ((Aweme) obj).requestId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 730564204:
                if (!str.equals("activity_pendant")) {
                    return false;
                }
                ((Aweme) obj).activityPendant = (LFQ) this.LIZ.LIZ(LFQ.class).read(aVar);
                return true;
            case 747804969:
                if (!str.equals("position")) {
                    return false;
                }
                ((Aweme) obj).position = (List) this.LIZ.LIZ(new LRS()).read(aVar);
                return true;
            case 776416289:
                if (!str.equals("misc_info")) {
                    return false;
                }
                ((Aweme) obj).uploadMiscInfoStructStr = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 778657921:
                if (!str.equals("bubble_info")) {
                    return false;
                }
                ((Aweme) obj).bubbleInfo = (AwemeBubbleInfo) this.LIZ.LIZ(AwemeBubbleInfo.class).read(aVar);
                return true;
            case 794399341:
                if (!str.equals("star_atlas_order_id")) {
                    return false;
                }
                Object read61 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read61 != null) {
                    ((Aweme) obj).starAtlasOrderId = ((Long) read61).longValue();
                }
                return true;
            case 816312059:
                if (!str.equals("playlist_info")) {
                    return false;
                }
                ((Aweme) obj).playlist_info = (PlayListInfo) this.LIZ.LIZ(PlayListInfo.class).read(aVar);
                return true;
            case 831350423:
                if (!str.equals("content_desc")) {
                    return false;
                }
                ((Aweme) obj).contentDesc = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 865267764:
                if (!str.equals("is_pgcshow")) {
                    return false;
                }
                Object read62 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read62 != null) {
                    ((Aweme) obj).isPgcShow = ((Boolean) read62).booleanValue();
                }
                return true;
            case 876547778:
                if (!str.equals("label_top_text")) {
                    return false;
                }
                ((Aweme) obj).textTopLabels = (List) this.LIZ.LIZ(new Cml()).read(aVar);
                return true;
            case 882874694:
                if (!str.equals("desc_language")) {
                    return false;
                }
                ((Aweme) obj).descLanguage = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 899201563:
                if (!str.equals("cmt_swt")) {
                    return false;
                }
                Object read63 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read63 != null) {
                    ((Aweme) obj).cmtSwt = ((Boolean) read63).booleanValue();
                }
                return true;
            case 913560328:
                if (!str.equals("isFriendsTabFakeAweme")) {
                    return false;
                }
                Object read64 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read64 != null) {
                    ((Aweme) obj).isFriendsTabFakeAweme = ((Boolean) read64).booleanValue();
                }
                return true;
            case 926853363:
                if (!str.equals("with_survey")) {
                    return false;
                }
                Object read65 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read65 != null) {
                    ((Aweme) obj).withSurvey = ((Boolean) read65).booleanValue();
                }
                return true;
            case 936206155:
                if (!str.equals("isReferralFakeAweme")) {
                    return false;
                }
                Object read66 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read66 != null) {
                    ((Aweme) obj).isReferralFakeAweme = ((Boolean) read66).booleanValue();
                }
                return true;
            case 986207186:
                if (!str.equals("rawdata")) {
                    return false;
                }
                ((Aweme) obj).newLiveRoomData = (NewLiveRoomStruct) LIZ(new StringJsonAdapterFactory(), NewLiveRoomStruct.class).read(aVar);
                return true;
            case 995103368:
                if (!str.equals("promote_toast_key")) {
                    return false;
                }
                ((Aweme) obj).promoteToastKey = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1000831195:
                if (!str.equals("game_info")) {
                    return false;
                }
                ((Aweme) obj).gameInfo = (GameInfo) this.LIZ.LIZ(GameInfo.class).read(aVar);
                return true;
            case 1008335080:
                if (!str.equals("promote_toast")) {
                    return false;
                }
                ((Aweme) obj).promoteToast = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1009011373:
                if (!str.equals("live_type")) {
                    return false;
                }
                ((Aweme) obj).liveType = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1019743755:
                if (!str.equals("dou_discount_label")) {
                    return false;
                }
                ((Aweme) obj).douDiscountLabel = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1028393113:
                if (!str.equals("sound_exemption")) {
                    return false;
                }
                Object read67 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read67 != null) {
                    ((Aweme) obj).soundExemption = ((Integer) read67).intValue();
                }
                return true;
            case 1043219171:
                if (!str.equals("nearby_fresh_label")) {
                    return false;
                }
                ((Aweme) obj).nearbyHotLabel = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1052868053:
                if (!str.equals("green_screen_materials")) {
                    return false;
                }
                ((Aweme) obj).greenScreenMaterialList = (List) this.LIZ.LIZ(new 2ti()).read(aVar);
                return true;
            case 1076484297:
                if (!str.equals("isHighlighted")) {
                    return false;
                }
                Object read68 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read68 != null) {
                    ((Aweme) obj).isHighlighted = ((Boolean) read68).booleanValue();
                }
                return true;
            case 1077425763:
                if (!str.equals("interaction_stickers")) {
                    return false;
                }
                ((Aweme) obj).interactStickerStructs = (List) this.LIZ.LIZ(new 2bE()).read(aVar);
                return true;
            case 1098650351:
                if (!str.equals("hotSpot")) {
                    return false;
                }
                ((Aweme) obj).hotSpot = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1127520669:
                if (!str.equals("repostFromGroupId")) {
                    return false;
                }
                ((Aweme) obj).repostFromGroupId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1179879744:
                if (!str.equals("link_match")) {
                    return false;
                }
                ((Aweme) obj).linkMatch = (2jE) this.LIZ.LIZ(2jE.class).read(aVar);
                return true;
            case 1182125491:
                if (!str.equals("is_preview")) {
                    return false;
                }
                Object read69 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read69 != null) {
                    ((Aweme) obj).isPreview = ((Integer) read69).intValue();
                }
                return true;
            case 1182636143:
                if (!str.equals("tcm_info")) {
                    return false;
                }
                ((Aweme) obj).tcmInfo = (TCMInfo) this.LIZ.LIZ(TCMInfo.class).read(aVar);
                return true;
            case 1194553073:
                if (!str.equals("relation_label")) {
                    return false;
                }
                ((Aweme) obj).relationLabel = (RelationDynamicLabel) this.LIZ.LIZ(RelationDynamicLabel.class).read(aVar);
                return true;
            case 1206947522:
                if (!str.equals("generalMaskInfo")) {
                    return false;
                }
                ((Aweme) obj).generalMaskInfo = (VideoMaskInfo) this.LIZ.LIZ(VideoMaskInfo.class).read(aVar);
                return true;
            case 1265981491:
                if (!str.equals("live_window_show_time")) {
                    return false;
                }
                Object read70 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read70 != null) {
                    ((Aweme) obj).liveWindowShowTime = ((Long) read70).longValue();
                }
                return true;
            case 1268314431:
                if (!str.equals("origin_comment_ids")) {
                    return false;
                }
                ((Aweme) obj).originCommentIds = (List) this.LIZ.LIZ(new 8EP()).read(aVar);
                return true;
            case 1284877334:
                if (!str.equals("enable_pos_adjust")) {
                    return false;
                }
                Object read71 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read71 != null) {
                    ((Aweme) obj).enablePosAdjust = ((Boolean) read71).booleanValue();
                }
                return true;
            case 1302619462:
                if (!str.equals("music_dsp_info")) {
                    return false;
                }
                ((Aweme) obj).dsp = (Dsp) this.LIZ.LIZ(Dsp.class).read(aVar);
                return true;
            case 1343288706:
                if (!str.equals("allow_reuse_original_sound")) {
                    return false;
                }
                ((Aweme) obj).allowReuseOriginalSound = (Boolean) this.LIZ.LIZ(Boolean.class).read(aVar);
                return true;
            case 1394502065:
                if (!str.equals("isSubAweme")) {
                    return false;
                }
                Object read72 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read72 != null) {
                    ((Aweme) obj).isSubAweme = ((Boolean) read72).booleanValue();
                }
                return true;
            case 1398825443:
                if (!str.equals("floating_card_content")) {
                    return false;
                }
                ((Aweme) obj).floatingCardInfo = (FloatingCardInfo) this.LIZ.LIZ(FloatingCardInfo.class).read(aVar);
                return true;
            case 1418717793:
                if (!str.equals("cha_list")) {
                    return false;
                }
                ((Aweme) obj).challengeList = (List) this.LIZ.LIZ(new Oup()).read(aVar);
                return true;
            case 1484755663:
                if (!str.equals("enable_ad_drop")) {
                    return false;
                }
                Object read73 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read73 != null) {
                    ((Aweme) obj).enableAdDrop = ((Boolean) read73).booleanValue();
                }
                return true;
            case 1486281679:
                if (!str.equals("upvote_preload")) {
                    return false;
                }
                ((Aweme) obj).upvotePreload = (UpvotePreloadStruct) this.LIZ.LIZ(UpvotePreloadStruct.class).read(aVar);
                return true;
            case 1511390019:
                if (!str.equals("ad_link_type")) {
                    return false;
                }
                Object read74 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read74 != null) {
                    ((Aweme) obj).adLinkType = ((Integer) read74).intValue();
                }
                return true;
            case 1522893379:
                if (!str.equals("isStoryPacked")) {
                    return false;
                }
                Object read75 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read75 != null) {
                    ((Aweme) obj).isStoryPacked = ((Boolean) read75).booleanValue();
                }
                return true;
            case 1531715286:
                if (!str.equals("stickers")) {
                    return false;
                }
                ((Aweme) obj).stickerIDs = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1533400841:
                if (!str.equals("image_post_info")) {
                    return false;
                }
                ((Aweme) obj).photoModeImageInfo = (PhotoModeImageInfo) this.LIZ.LIZ(PhotoModeImageInfo.class).read(aVar);
                return true;
            case 1559099149:
                if (!str.equals("isFirstInSpot")) {
                    return false;
                }
                Object read76 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read76 != null) {
                    ((Aweme) obj).isFirstInSpot = ((Boolean) read76).booleanValue();
                }
                return true;
            case 1587048165:
                if (!str.equals("parentHotSpot")) {
                    return false;
                }
                ((Aweme) obj).parentHotSpot = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1626966089:
                if (!str.equals("collect_stat")) {
                    return false;
                }
                Object read77 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read77 != null) {
                    ((Aweme) obj).collectStatus = ((Integer) read77).intValue();
                }
                return true;
            case 1630158232:
                if (!str.equals("cell_room")) {
                    return false;
                }
                ((Aweme) obj).mRoomFeedCellStruct = (RoomFeedCellStruct) this.LIZ.LIZ(RoomFeedCellStruct.class).read(aVar);
                return true;
            case 1650975737:
                if (!str.equals("captionReturnCount")) {
                    return false;
                }
                Object read78 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read78 != null) {
                    ((Aweme) obj).captionReturnCount = ((Integer) read78).intValue();
                }
                return true;
            case 1668869893:
                if (!str.equals("is_live_replay")) {
                    return false;
                }
                Object read79 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read79 != null) {
                    ((Aweme) obj).isLiveReplay = ((Boolean) read79).booleanValue();
                }
                return true;
            case 1669836674:
                if (!str.equals("simplePromotions")) {
                    return false;
                }
                ((Aweme) obj).simplePromotions = (List) this.LIZ.LIZ(new Oul()).read(aVar);
                return true;
            case 1677819765:
                if (!str.equals("schedule_time")) {
                    return false;
                }
                Object read80 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read80 != null) {
                    ((Aweme) obj).scheduleTime = ((Long) read80).longValue();
                }
                return true;
            case 1680199440:
                if (!str.equals("awemePosition")) {
                    return false;
                }
                Object read81 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read81 != null) {
                    ((Aweme) obj).awemePosition = ((Integer) read81).intValue();
                }
                return true;
            case 1680407922:
                if (!str.equals("external_video_type")) {
                    return false;
                }
                Object read82 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read82 != null) {
                    ((Aweme) obj).externalType = ((Integer) read82).intValue();
                }
                return true;
            case 1689809557:
                if (!str.equals("ad_story_video")) {
                    return false;
                }
                ((Aweme) obj).storyModel = (StoryVideo) this.LIZ.LIZ(StoryVideo.class).read(aVar);
                return true;
            case 1724418143:
                if (!str.equals("pred_playtime")) {
                    return false;
                }
                Object read83 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read83 != null) {
                    ((Aweme) obj).predPlaytime = ((Integer) read83).intValue();
                }
                return true;
            case 1731531459:
                if (!str.equals("originalPos")) {
                    return false;
                }
                Object read84 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read84 != null) {
                    ((Aweme) obj).originalPos = ((Integer) read84).intValue();
                }
                return true;
            case 1759745594:
                if (!str.equals("dou_discount_mix_info")) {
                    return false;
                }
                ((Aweme) obj).douDiscountMixInfo = (HotSearchInfo) this.LIZ.LIZ(HotSearchInfo.class).read(aVar);
                return true;
            case 1838239935:
                if (!str.equals("new_source_type")) {
                    return false;
                }
                ((Aweme) obj).newSourceType = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1865250663:
                if (!str.equals("match_text")) {
                    return false;
                }
                ((Aweme) obj).matchText = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1865269620:
                if (!str.equals("match_type")) {
                    return false;
                }
                Object read85 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read85 != null) {
                    ((Aweme) obj).matchType = ((Integer) read85).intValue();
                }
                return true;
            case 1902245482:
                if (!str.equals("label_music_starter")) {
                    return false;
                }
                ((Aweme) obj).musicStarter = (UrlModel) this.LIZ.LIZ(UrlModel.class).read(aVar);
                return true;
            case 1918208455:
                if (!str.equals("mutual_relation")) {
                    return false;
                }
                ((Aweme) obj).mutualRelation = (MutualStruct) this.LIZ.LIZ(MutualStruct.class).read(aVar);
                return true;
            case 1934820225:
                if (!str.equals("user_story")) {
                    return false;
                }
                ((Aweme) obj).userStory = (UserStory) this.LIZ.LIZ(UserStory.class).read(aVar);
                return true;
            case 1939835561:
                if (!str.equals("products_info")) {
                    return false;
                }
                ((Aweme) obj).productsInfo = (List) this.LIZ.LIZ(new Ly4()).read(aVar);
                return true;
            case 1948294547:
                if (!str.equals("sticker_detail")) {
                    return false;
                }
                ((Aweme) obj).stickerEntranceInfo = (BPA) this.LIZ.LIZ(BPA.class).read(aVar);
                return true;
            case 1957664441:
                if (!str.equals("mMobParams")) {
                    return false;
                }
                ((Aweme) obj).mMobParams = (HashMap) this.LIZ.LIZ(new 2bG()).read(aVar);
                return true;
            case 1964542912:
                if (!str.equals("searchFeedType")) {
                    return false;
                }
                ((Aweme) obj).searchFeedType = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1972100081:
                if (!str.equals("pre_forward_id")) {
                    return false;
                }
                ((Aweme) obj).preForwardId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 2030391652:
                if (!str.equals("anchors_extras")) {
                    return false;
                }
                ((Aweme) obj).anchorsExtras = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 2057952506:
                if (!str.equals("mConcatAndUploadState")) {
                    return false;
                }
                Object read86 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read86 != null) {
                    ((Aweme) obj).mConcatAndUploadState = ((Integer) read86).intValue();
                }
                return true;
            case 2106269479:
                if (!str.equals("micro_app_info")) {
                    return false;
                }
                ((Aweme) obj).microAppInfo = (LG4) this.LIZ.LIZ(LG4.class).read(aVar);
                return true;
            case 2121927085:
                if (!str.equals("without_watermark")) {
                    return false;
                }
                Object read87 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read87 != null) {
                    ((Aweme) obj).downloadWithoutWatermark = ((Boolean) read87).booleanValue();
                }
                return true;
            case 2124979096:
                if (!str.equals("GroupIdList")) {
                    return false;
                }
                ((Aweme) obj).groupIdList = (GroupIdListStruct) this.LIZ.LIZ(GroupIdListStruct.class).read(aVar);
                return true;
            case 2141363016:
                if (!str.equals("isRecBigCardFakeAweme")) {
                    return false;
                }
                Object read88 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read88 != null) {
                    ((Aweme) obj).isRecBigCardFakeAweme = ((Boolean) read88).booleanValue();
                }
                return true;
            default:
                return false;
        }
    }
}
